Installing Ethdata

How to install Ethdata

Python 3.5+

These instructions are written for Python 3.5+. If you need help installing or upgrading Python, please visit the Hitchhiker's Guide to Python.

Check which version of Python you have installed by running this command:

$ python -V

If you have Python 2 installed, you may also have a separate installation of Python 3. Check with this command:

$ python3 -V

Virtual Environment

For best results, you should use a clean virtual environment. This will help avoid potential problems later.

Start a new virtual environment using these commands:

$ python3 -m venv ~/.virtualenvs/venv
$ source ~/.virtualenvs/venv/bin/activate

Pip Install

Use pip to install Ethdata in your virtual environment.

(venv) $ pip install eth-data-tools

Upgrades

From time to time, you may want to upgrade to the latest version.

(venv) $ pip install eth-data-tools --upgrade